<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: /workplace/avs-device-sdk/CapabilityAgents/Alerts/include/Alerts/AlertScheduler.h File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.13.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_7cf910bd1d7603f12ef47ff650cec893.html">CapabilityAgents</a></li><li class="navelem"><a class="el" href="dir_6a3d888c77d91a2c06c3ff7a43c42895.html">Alerts</a></li><li class="navelem"><a class="el" href="dir_32ca2b1be26df65d1a152938de056228.html">include</a></li><li class="navelem"><a class="el" href="dir_0756d7cbdb43a6da05839251aad86022.html">Alerts</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#nested-classes">Classes</a> &#124;
<a href="#namespaces">Namespaces</a>  </div>
  <div class="headertitle">
<div class="title">AlertScheduler.h File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><code>#include &quot;<a class="el" href="_alert_storage_interface_8h_source.html">Alerts/Storage/AlertStorageInterface.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_alert_observer_interface_8h_source.html">Alerts/AlertObserverInterface.h</a>&quot;</code><br />
<code>#include &lt;<a class="el" href="_focus_state_8h_source.html">AVSCommon/AVS/FocusState.h</a>&gt;</code><br />
<code>#include &lt;set&gt;</code><br />
<code>#include &lt;string&gt;</code><br />
<code>#include &lt;list&gt;</code><br />
</div><div class="textblock"><div class="dynheader">
Include dependency graph for AlertScheduler.h:</div>
<div class="dyncontent">
<div class="center"><img src="_alert_scheduler_8h__incl.png" border="0" usemap="#_2workplace_2avs-device-sdk_2_capability_agents_2_alerts_2include_2_alerts_2_alert_scheduler_8h" alt=""/></div>
<map name="_2workplace_2avs-device-sdk_2_capability_agents_2_alerts_2include_2_alerts_2_alert_scheduler_8h" id="_2workplace_2avs-device-sdk_2_capability_agents_2_alerts_2include_2_alerts_2_alert_scheduler_8h">
<area shape="rect" id="node2" href="_alert_storage_interface_8h.html" title="Alerts/Storage/AlertStorage\lInterface.h" alt="" coords="663,119,846,157"/>
<area shape="rect" id="node4" href="_alert_observer_interface_8h.html" title="Alerts/AlertObserverInterface.h" alt="" coords="43,285,248,311"/>
<area shape="rect" id="node31" href="_focus_state_8h.html" title="AVSCommon/AVS/FocusState.h" alt="" coords="504,285,717,311"/>
<area shape="rect" id="node3" href="_alert_8h.html" title="Alerts/Alert.h" alt="" coords="1041,205,1138,231"/>
<area shape="rect" id="node6" href="_renderer_8h.html" title="Alerts/Renderer/Renderer.h" alt="" coords="3521,285,3706,311"/>
<area shape="rect" id="node8" href="_renderer_observer_interface_8h.html" title="Alerts/Renderer/Renderer\lObserverInterface.h" alt="" coords="4370,625,4544,664"/>
<area shape="rect" id="node32" href="_a_v_s_common_2_utils_2include_2_a_v_s_common_2_utils_2_timing_2_timer_8h.html" title="AVSCommon/Utils/Timing\l/Timer.h" alt="" coords="2448,279,2622,317"/>
<area shape="rect" id="node41" href="_time_point_8h.html" title="AVSCommon/Utils/Timing\l/TimePoint.h" alt="" coords="494,365,668,404"/>
<area shape="rect" id="node7" href="_renderer_interface_8h.html" title="Alerts/Renderer/Renderer\lInterface.h" alt="" coords="4117,539,4291,577"/>
<area shape="rect" id="node13" href="_executor_8h.html" title="AVSCommon/Utils/Threading\l/Executor.h" alt="" coords="2685,452,2880,491"/>
<area shape="rect" id="node22" href="_media_player_interface_8h.html" title="AVSCommon/Utils/MediaPlayer\l/MediaPlayerInterface.h" alt="" coords="3321,452,3530,491"/>
<area shape="rect" id="node29" href="_media_player_observer_interface_8h.html" title="AVSCommon/Utils/MediaPlayer\l/MediaPlayerObserverInterface.h" alt="" coords="3621,365,3838,404"/>
<area shape="rect" id="node20" href="_task_thread_8h.html" title="AVSCommon/Utils/Threading\l/TaskThread.h" alt="" coords="2213,539,2408,577"/>
<area shape="rect" id="node24" href="_attachment_reader_8h.html" title="AVSCommon/AVS/Attachment\l/AttachmentReader.h" alt="" coords="3227,539,3429,577"/>
<area shape="rect" id="node28" href="_audio_format_8h.html" title="AVSCommon/Utils/AudioFormat.h" alt="" coords="3770,545,3992,571"/>
<area shape="rect" id="node27" href="_reader_policy_8h.html" title="AVSCommon/Utils/SDS\l/ReaderPolicy.h" alt="" coords="3247,625,3409,664"/>
<area shape="rect" id="node30" href="_error_types_8h.html" title="AVSCommon/Utils/MediaPlayer\l/ErrorTypes.h" alt="" coords="3741,452,3950,491"/>
<area shape="rect" id="node33" href="_logger_utils_8h.html" title="AVSCommon/Utils/Logger\l/LoggerUtils.h" alt="" coords="2384,365,2560,404"/>
<area shape="rect" id="node34" href="_logger_8h.html" title="AVSCommon/Utils/Logger\l/Logger.h" alt="" coords="1568,452,1744,491"/>
<area shape="rect" id="node36" href="_configuration_node_8h.html" title="AVSCommon/Utils/Configuration\l/ConfigurationNode.h" alt="" coords="1621,539,1835,577"/>
<area shape="rect" id="node38" href="_level_8h.html" title="AVSCommon/Utils/Logger\l/Level.h" alt="" coords="1341,625,1517,664"/>
<area shape="rect" id="node39" href="_log_entry_8h.html" title="AVSCommon/Utils/Logger\l/LogEntry.h" alt="" coords="547,539,723,577"/>
<area shape="rect" id="node40" href="_log_level_observer_interface_8h.html" title="AVSCommon/Utils/Logger\l/LogLevelObserverInterface.h" alt="" coords="1350,539,1546,577"/>
<area shape="rect" id="node42" href="_time_utils_8h.html" title="AVSCommon/Utils/Timing\l/TimeUtils.h" alt="" coords="494,452,668,491"/>
<area shape="rect" id="node45" href="_retry_timer_8h.html" title="AVSCommon/Utils/RetryTimer.h" alt="" coords="3452,545,3662,571"/>
<area shape="rect" id="node46" href="_safe_c_time_access_8h.html" title="AVSCommon/Utils/Timing\l/SafeCTimeAccess.h" alt="" coords="746,539,920,577"/>
</map>
</div>
</div><div class="textblock"><div class="dynheader">
This graph shows which files directly or indirectly include this file:</div>
<div class="dyncontent">
<div class="center"><img src="_alert_scheduler_8h__dep__incl.png" border="0" usemap="#_2workplace_2avs-device-sdk_2_capability_agents_2_alerts_2include_2_alerts_2_alert_scheduler_8hdep" alt=""/></div>
<map name="_2workplace_2avs-device-sdk_2_capability_agents_2_alerts_2include_2_alerts_2_alert_scheduler_8hdep" id="_2workplace_2avs-device-sdk_2_capability_agents_2_alerts_2include_2_alerts_2_alert_scheduler_8hdep">
<area shape="rect" id="node2" href="_alerts_capability_agent_8h.html" title="/workplace/avs&#45;device\l&#45;sdk/CapabilityAgents\l/Alerts/include/Alerts\l/AlertsCapabilityAgent.h" alt="" coords="589,119,753,184"/>
<area shape="rect" id="node17" href="_alert_scheduler_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/CapabilityAgents\l/Alerts/src/AlertScheduler.cpp" alt="" coords="777,125,973,177"/>
<area shape="rect" id="node18" href="_alert_scheduler_test_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/CapabilityAgents\l/Alerts/test/AlertSchedulerTest.cpp" alt="" coords="997,125,1222,177"/>
<area shape="rect" id="node3" href="_default_client_8h.html" title="/workplace/avs&#45;device\l&#45;sdk/ApplicationUtilities\l/DefaultClient/include/DefaultClient\l/DefaultClient.h" alt="" coords="229,232,457,297"/>
<area shape="rect" id="node14" href="_alerts_capability_agent_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/CapabilityAgents\l/Alerts/src/AlertsCapability\lAgent.cpp" alt="" coords="481,232,658,297"/>
<area shape="rect" id="node15" href="_alerts_capability_agent_test_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/CapabilityAgents\l/Alerts/test/AlertsCapability\lAgentTest.cpp" alt="" coords="682,232,863,297"/>
<area shape="rect" id="node16" href="_alerts_integration_test_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/Integration/test\l/AlertsIntegrationTest.cpp" alt="" coords="886,239,1058,291"/>
<area shape="rect" id="node4" href="_default_client_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/ApplicationUtilities\l/DefaultClient/src/DefaultClient.cpp" alt="" coords="77,345,305,397"/>
<area shape="rect" id="node5" href="_interaction_manager_8h.html" title="/workplace/avs&#45;device\l&#45;sdk/SampleApp/include\l/SampleApp/InteractionManager.h" alt="" coords="230,445,453,497"/>
<area shape="rect" id="node12" href="_keyword_observer_8h.html" title="/workplace/avs&#45;device\l&#45;sdk/SampleApp/include\l/SampleApp/KeywordObserver.h" alt="" coords="382,345,597,397"/>
<area shape="rect" id="node6" href="_user_input_manager_8h.html" title="/workplace/avs&#45;device\l&#45;sdk/SampleApp/include\l/SampleApp/UserInputManager.h" alt="" coords="6,545,224,597"/>
<area shape="rect" id="node11" href="_interaction_manager_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/SampleApp/src/Interaction\lManager.cpp" alt="" coords="248,545,454,597"/>
<area shape="rect" id="node7" href="_sample_application_8h.html" title="/workplace/avs&#45;device\l&#45;sdk/SampleApp/include\l/SampleApp/SampleApplication.h" alt="" coords="5,645,225,697"/>
<area shape="rect" id="node10" href="_user_input_manager_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/SampleApp/src/UserInput\lManager.cpp" alt="" coords="249,645,451,697"/>
<area shape="rect" id="node8" href="main_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/SampleApp/src/main.cpp" alt="" coords="16,745,214,784"/>
<area shape="rect" id="node9" href="_sample_application_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/SampleApp/src/SampleApplication.cpp" alt="" coords="294,745,574,784"/>
<area shape="rect" id="node13" href="_keyword_observer_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/SampleApp/src/KeywordObserver.cpp" alt="" coords="528,452,803,491"/>
</map>
</div>
</div>
<p><a href="_alert_scheduler_8h_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="nested-classes"></a>
Classes</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alert_scheduler.html">alexaClientSDK::capabilityAgents::alerts::AlertScheduler</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alert_scheduler_1_1_alerts_context_info.html">alexaClientSDK::capabilityAgents::alerts::AlertScheduler::AlertsContextInfo</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="namespaces"></a>
Namespaces</h2></td></tr>
<tr class="memitem:namespacealexa_client_s_d_k"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k.html">alexaClientSDK</a></td></tr>
<tr class="memdesc:namespacealexa_client_s_d_k"><td class="mdescLeft">&#160;</td><td class="mdescRight">Whether or not curl logs should be emitted. <br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:namespacealexa_client_s_d_k_1_1capability_agents"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents.html">alexaClientSDK::capabilityAgents</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:namespacealexa_client_s_d_k_1_1capability_agents_1_1alerts"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1alerts.html">alexaClientSDK::capabilityAgents::alerts</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
</div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.13.0 - Copyright 2016-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
